Group: Development/Perl
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(Data/Dump.pm) perl(Exporter.pm) perl(Socket.pm) perl(base.pm) perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           perl-Socket-Netlink-Route
Version:        0.05
Release:        alt1_17
Summary:        Interface to Linux's NETLINK_ROUTE netlink socket protocol
License:        GPL+ or Artistic

URL:            https://metacpan.org/release/Socket-Netlink-Route
Source0:        https://cpan.metacpan.org/authors/id/P/PE/PEVANS/Socket-Netlink-Route-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  rpm-build-perl
BuildRequires:  perl(ExtUtils/CChecker.pm)
BuildRequires:  perl(ExtUtils/H2PM.pm)
BuildRequires:  perl(Module/Build.pm)
BuildRequires:  perl(Socket/Netlink.pm)
BuildRequires:  perl(Test/More.pm)

Requires:       perl(Socket/Netlink.pm) >= 0.030

## Filter unneeded Provides with RPM 4.8
%{echo 
%filter_from_provides /^perl.Socket.Netlink.Route.pm.$/d
}

## Filter unneeded Provides with RPM 4.9


# For some reason rpmbuild picks this one up as a 'Requires', but not as
# a 'Provides'. Adding it manually or the package fails to install
Provides:       perl(Socket/Netlink/Route_const.pm) == %{version}
Source44: import.info


%description
This module contains the low-level constants and structure handling
functions required to use the NETLINK_ROUTE protocol of Linux's PF_NETLINK
socket family. It is suggested to use the high-level object interface to
this protocol instead; see IO::Socket::Netlink::Route.


%prep
%setup -q -n Socket-Netlink-Route-%{version}


%build
/usr/bin/perl Build.PL installdirs=vendor
./Build


%install
./Build install destdir=%{buildroot} create_packlist=0
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

# %{_fixperms} %{buildroot}/*


%check
./Build test


%files
%doc Changes examples LICENSE README
%{perl_vendor_privlib}/IO
%{perl_vendor_privlib}/Socket


%changelog
* Fri Mar 01 2019 Igor Vlasenko <viy@altlinux.ru> 0.05-alt1_17
- update to new release by fcimport

* Wed Aug 01 2018 Igor Vlasenko <viy@altlinux.ru> 0.05-alt1_16
- update to new release by fcimport

* Sun Jul 15 2018 Igor Vlasenko <viy@altlinux.ru> 0.05-alt1_15
- update to new release by fcimport

* Tue Feb 20 2018 Igor Vlasenko <viy@altlinux.ru> 0.05-alt1_14
- update to new release by fcimport

* Wed Sep 27 2017 Igor Vlasenko <viy@altlinux.ru> 0.05-alt1_13
- update to new release by fcimport

* Thu Aug 03 2017 Igor Vlasenko <viy@altlinux.ru> 0.05-alt1_12
- update to new release by fcimport

* Wed Mar 15 2017 Igor Vlasenko <viy@altlinux.ru> 0.05-alt1_10
- update to new release by fcimport

* Sun May 29 2016 Igor Vlasenko <viy@altlinux.ru> 0.05-alt1_9
- update to new release by fcimport

* Wed Mar 02 2016 Igor Vlasenko <viy@altlinux.ru> 0.05-alt1_8
- update to new release by fcimport

* Mon Sep 21 2015 Igor Vlasenko <viy@altlinux.ru> 0.05-alt1_7
- update to new release by fcimport

* Tue Sep 16 2014 Igor Vlasenko <viy@altlinux.ru> 0.05-alt1_5
- update to new release by fcimport

* Tue Jul 01 2014 Igor Vlasenko <viy@altlinux.ru> 0.05-alt1_4
- update to new release by fcimport

* Mon Sep 02 2013 Igor Vlasenko <viy@altlinux.ru> 0.05-alt1_3
- update to new release by fcimport

* Mon Aug 05 2013 Igor Vlasenko <viy@altlinux.ru> 0.05-alt1_2
- update to new release by fcimport

* Mon Mar 25 2013 Igor Vlasenko <viy@altlinux.ru> 0.05-alt1_1
- update to new release by fcimport

* Mon Mar 04 2013 Igor Vlasenko <viy@altlinux.ru> 0.03-alt1_7
- update to new release by fcimport

* Tue Jul 31 2012 Igor Vlasenko <viy@altlinux.ru> 0.03-alt1_6
- update to new release by fcimport

* Sat May 26 2012 Igor Vlasenko <viy@altlinux.ru> 0.03-alt1_4
- fc import

